Package org.eclipse.cdt.utils

# Class NM.AddressNamePair

java.lang.Object
org.eclipse.cdt.utils.NM.AddressNamePair

Enclosing class:
  NM

public class NM.AddressNamePair extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`address`
`String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`AddressNamePair(String n, long a)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name

### address

public long address

## Constructor Details

### AddressNamePair

public AddressNamePair(String n, long a)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`